遷移店面動態饋給合作夥伴

你可以使用 Merchant API 與 Google 分享商品目錄、商店和銷售資料,以便更有效地查看及管理。

新功能

除了 Content API 功能外,Merchant API 還提供下列新功能:

  • 用於擷取與店面動態饋給合作夥伴整合相關的商家層級屬性狀態的方法
  • 傳送通知給零售商的方法

如要進一步瞭解這些方法,請參閱店面動態饋給合作夥伴 API。

要求

請使用下列要求網址格式,呼叫店面動態饋給合作夥伴 API:

POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpInventories:insert

詳情請參閱「方法:accounts.lfpInventories.insert」。

以下是 Content API for Shopping 與店面動態饋給合作夥伴 API 的比較範例,用於插入商品目錄的要求:

Content API Merchant API
網址 POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/inventory POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpInventories:insert
ID {MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT}

以下是 Content API for Shopping 和店面動態饋給合作夥伴 API 的比較範例,用於插入特價的要求:

Content API Merchant API
網址 POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/sale POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpSales:insert
ID {MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT}

以下是 Content API for Shopping 與店面動態饋給合作夥伴 API 的比較範例,用於插入商店的要求:

Content API Merchant API
網址 POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpStores:insert
ID {MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT}

方法

以下是店面動態饋給合作夥伴 API 中,商店 API 方法的異動:

方法 Content API for Shopping 中的網址 Merchant API 中的網址 Content API for Shopping 中的 ID Merchant API 中的 ID 說明
insert POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store POST https://merchantapi.googleapis.com/lfp/v1/{parent=accounts/*}/lfpStores:insert {MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT} parent 的格式為 accounts/{IFP_PARTNER_ACCOUNT_ID}
delete DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store/{STORE_CODE} DELETE https://merchantapi.googleapis.com/lfp/v1/{name=accounts/*/lfpStores/*} {MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store/{STORE_CODE} {NAME} name 的格式為 accounts/{IFP_PARTNER_ACCOUNT_ID}/lfpStores/{TARGETMERCHANT_ID}~{STORE_CODE}
get GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store/{STORE_CODE} GET https://merchantapi.googleapis.com/lfp/v1/{name=accounts/*/lfpStores/*} {MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store/{STORE_CODE} {NAME} name 的格式為 accounts/{IFP_PARTNER_ACCOUNT_ID}/lfpStores/{TARGETMERCHANT_ID}~{STORE_CODE}
list GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store GET https://merchantapi.googleapis.com/lfp/v1/{parent=accounts/*}/lfpStores /{MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT} {PARENT} 的格式為 accounts/{IFP_PARTNER_ACCOUNT_ID}

以下是店面動態饋給合作夥伴 API 中,商品目錄 API 方法的異動內容:

方法 Content API for Shopping 中的網址 Merchant API 中的網址 Content API for Shopping 中的 ID Merchant API 中的 ID 說明
insert POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpInventories:insert {MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT} parent 的格式為 accounts/{IFP_PARTNER_ACCOUNT_ID}

以下是店面動態饋給合作夥伴 API 中,銷售 API 方法的異動內容:

方法 Content API for Shopping 中的網址 Merchant API 中的網址 Content API for Shopping 中的 ID Merchant API 中的 ID 說明
insert POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/pos/{TARGETMERCHANT_ID}/store POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpSales:insert {MERCHANT_ID}/pos/{TARGETMERCHANT_ID} {PARENT} {PARENT} 的格式為 accounts/{IFP_PARTNER_ACCOUNT_ID}

資源

以下是本地動態饋給合作夥伴 API 中,商店資源的異動內容。未包含在內的欄位則維持不變。

Content API for Shopping Merchant API 說明
不支援 name: string 新增欄位,區分不同商店
不支援 targetAccount: integer 要插入商品目錄的 Merchant Center 帳戶
targetCountry: string regionCode: string 「targetCountry」已重新命名為「regionCode」
websiteUrl: string websiteUri: string 「websiteUrl」已重新命名為「websiteUri」
kind: string 不支援 店面動態饋給合作夥伴 API 不支援kind

以下是插入商品目錄的異動內容。未包含在此處的欄位則維持不變。

Content API for Shopping Merchant API 說明
不支援 name: string 新增欄位,區分不同商品目錄
不支援 targetAccount: integer 要插入商品目錄的 Merchant Center 帳戶。
targetCountry: string regionCode: string 「targetCountry」已重新命名為「regionCode」。產品銷售國家/地區的 CLDR 地域代碼。
itemId: string offerId: string 「itemId」已重新命名為「offerId」
quantity: string quantity: string quantity已更新為選填
不支援 availability: string 必須提供availability

price: {

object (Price)

}

price: {

object (Price)

}

價格定義已變更。詳情請參閱「價格」。
timestamp: string collectionTime: string 「timestamp」已重新命名為「collectionTime」
kind: string 不支援 店面動態饋給合作夥伴 API 不支援kind。

以下是插入特價資訊的異動內容。未包含在此處的欄位則維持不變。

Content API for Shopping Merchant API 說明
不支援 name: string 新增欄位,區分不同商品目錄
不支援 targetAccount:integer 要插入銷售資料的 Merchant Center 帳戶
targetCountry: string regionCode: string 產品銷售國家/地區的 CLDR 地域代碼。
itemId: string offerId: string 「itemId」已重新命名為「offerId」

price: {

object (Price)

}

price: {

object (Price)

}

價格定義已變更。詳情請參閱「價格」。
timestamp: string saleTime: string 「timestamp」已重新命名為「saleTime」
kind: string 不支援 店面動態饋給合作夥伴 API 不支援kind。